

local Static, StaticNight, StaticRain, ParralaxFront, ParralaxBack = 0, 1, 2, 3, 4


function CreateBackground(spriteName, bgType, parralaxCoords, staticYMin, staticYMax, isStaticMoving )
	local obj = Create("CBackground");
	obj.m_spriteName = spriteName;
	obj.m_type = bgType;
	obj.m_parralaxCoords = parralaxCoords;
	obj.m_staticYMin = staticYMin or -1;
	obj.m_staticYMax = staticYMax or -1;
	obj.m_isStaticMoving = isStaticMoving or false;
	return obj;
end

bg_sky 					= CreateBackground( "Background/Skyworld_Sky", 		Static, 		nil, 0, 1024, true );
bg_skyNight 			= CreateBackground( "Background/Surface_SkyNight", 	StaticNight, 	nil, 0, 1024 );
bg_skyRain 				= CreateBackground( "Background/Surface_SkyRain", 	StaticRain, 	nil, 0, 1024 );

list_backgrounds = { bg_sky, bg_skyNight, bg_skyRain }













